%define ocamlname uri

Name:           ocaml-%{ocamlname}
Version:        1.9.6
Release:        1%{?dist}.emp1
Summary:        RFC3986 URI/URL parsing library
License:        ISC
URL:            https://github.com/mirage/ocaml-uri
Source0:        https://github.com/mirage/ocaml-uri/releases/download/v1.9.6/uri-1.9.6.tbz

Requires:       ocaml >= 4.03.0
Requires:       ocaml-stringext >= 1.4.0
Requires:       ocaml-sexplib >= 0.9.0
Requires:       ocaml-re

BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-stringext-devel >= 1.4.0
BuildRequires:  ocaml-sexplib-devel >= 0.9.0
BuildRequires:  ocaml-re-devel
BuildRequires:  ocaml-ppx_sexp_conv >= 0.9.0


%description
This is an OCaml implementation of the RFC3986 specification for
parsing URI or URLs.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-stringext-devel >= 1.4.0
Requires:       ocaml-sexplib-devel >= 0.9.0
Requires:       ocaml-re-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%check
jbuilder runtest  -p %{ocamlname} %{?_smp_mflags}

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
